# Class DecodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.websocket.DecodeException

All Implemented Interfaces:
  `Serializable`

public class DecodeException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DecodeException(String encodedString, String message)`
`DecodeException(String encodedString, String message, Throwable cause)`
`DecodeException(ByteBuffer bb, String message)`
`DecodeException(ByteBuffer bb, String message, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`getBytes()`
`String`
`getText()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DecodeException

public DecodeException(ByteBuffer bb, String message, Throwable cause)

### DecodeException

public DecodeException(String encodedString, String message, Throwable cause)

### DecodeException

public DecodeException(ByteBuffer bb, String message)

### DecodeException

public DecodeException(String encodedString, String message)

## Method Details

### getBytes

public ByteBuffer getBytes()

### getText

public String getText()